Name:           spr
Version:        07.00.00
Release:        1%{?dist}
Summary:        Library for categorization of data

Group:          Development/Libraries
License:        GPL+
URL:            http://www.hep.caltech.edu/~narsky/spr.html
Patch0:         spr-06.00.02-cflags.patch
Source0:        http://downloads.sourceforge.net/statpatrec/SPR-07-00-00.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libstdc++-devel

%description
The package implements a variety of tools for categorization of multivariate
data such as boosted decision trees, bagging and random forest, bump hunting
(PRIM), a multi-class learner and others.

%package devel
Summary: Development files for the Stat Pattern Recognition code
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -q -n StatPatternRecognition
touch -r configure.ac configure.ac.stamp
%patch0 -p1
touch -r configure.ac.stamp configure.ac


%build
%configure --without-root --disable-static --datadir=%{_datadir}/%{name} \
            --includedir=%{_includedir}/%{name}

# Remove this gcc34-ism.  Upstream is aware of this and needs time to
# find a fix.
sed -i -e 's/ -lg2c//' src/Makefile

# Parallel builds currently not supported.  Upstream is aware of this
# and needs time to find a fix.
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING HISTORY README
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/*.so



%changelog
* Tue Aug 21 2007 Wart <wart@kobold.org> 07.00.00-1
- Update to latest release
- License tag clarification

* Mon Apr 23 2007 Michael Thomas <thomas@hep.caltech.edu> 05.01.00-3
- Fix ownership of header directory in -devel subpackage

* Sun Apr 22 2007 Michael Thomas <thomas@hep.caltech.edu> 05.01.00-2
- Move headers to their own subdirectory
- Preserve timestamps on installed files

* Fri Apr 20 2007 Michael Thomas <thomas@hep.caltech.edu> 05.01.00-1
- Update to 5.01.00

* Tue Feb 6 2007 Michael Thomas <thomas@hep.caltech.edu> 05.00.01-1
- Initial RPM package
